openSUSE Security Update : php5 (openSUSE-SU-2014:1133-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

php5 was updated to fix three security issues :

- Insecure temporary file use for cache data was fixed by
switching to a different root only directory
/var/cache/php-pear (CVE-2014-5459)

- An incomplete fix for CVE-2014-4049 (CVE-2014-3597)

- gd extension: NUL byte injection in filenames passed to
image handling functions was fixed (CVE-2014-5120)

Also a bug was fixed :

- fixed suhosin crash if used with php
session_set_save_handler() [bnc#895658]

See also :

http://lists.opensuse.org/opensuse-updates/2014-09/msg00024.html
https://bugzilla.novell.com/show_bug.cgi?id=893849
https://bugzilla.novell.com/show_bug.cgi?id=893853
https://bugzilla.novell.com/show_bug.cgi?id=893855
https://bugzilla.novell.com/show_bug.cgi?id=895658

Solution :

Update the affected php5 packages.

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: SuSE Local Security Checks

Nessus Plugin ID: 77720 ()

Bugtraq ID:

CVE ID: CVE-2014-3597
CVE-2014-4049
CVE-2014-5120
CVE-2014-5459

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now